##

This is the API

## deleteOrder

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

### URL

`http://petstore.swagger.io/v2/store/order/{orderId}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

- Path: orderId String

  ID of the order that needs to be deleted

## getInventory

Returns a map of status codes to quantities

### URL

`http://petstore.swagger.io/v2/store/inventory`

### HTTP Method

`GET`

### Response Type

Map

### Parameters

## getOrderById

For valid response try integer IDs with value <= 5 or > 10. Other values will generated exceptions

### URL

`http://petstore.swagger.io/v2/store/order/{orderId}`

### HTTP Method

`GET`

### Response Type

Order

### Parameters

- Path: orderId Long

  ID of pet that needs to be fetched

## placeOrder

### URL

`http://petstore.swagger.io/v2/store/order`

### HTTP Method

`POST`

### Response Type

Order

### Parameters

- Body: Order Order(Order)

  order placed for purchasing the pet